IBM Integration Bus formerly WebSphere
Message Broker


System requirements

Below is the list of software and hardware required for IBM® WebSphere® Message Broker and its components. Where patches for a product are specified, this means that these patches were required to resolve problems found during testing and should therefore be considered as the minimum necessary maintenance level. Further maintenance should be applied in accordance with the guidance of the relevant software manufacturer

Hypervisor Edition 9.0

Operating System
Please see the system requirements for Hypervisor Edition 9.0.

IBM Integration Bus Manufacturing Pack 1.0

Operating System
Please see the system requirements for IBM Integration Bus Manufacturing Pack 1.0.

IBM Integration Bus Healthcare Pack V3.0

Operating System
Please see the system requirements for IBM Integration Bus Healthcare Pack V3.0.

Integration Bus Retail Pack V1.0

Operating System
Please see the system requirements for Integration Bus Retail Pack V1.0.

Integration Bus V9.0

Operating System
Please see the system requirements for Integration Bus V9.0.

Broker V8.0

Operating System
Please see the system requirements for Broker V8.0.

Broker V7.0

Operating System
Please see the system requirements for Broker V7.

Broker V6.1

Operating System
AIX Detailed system requirements for V6.1 for AIX
HP-UX Detailed system requirements for V6.1 for HP-UX - PA-RISC

Detailed system requirements for V6.1 for HP-UX - Itanium
Linux for System p Detailed system requirements for V6.1 for Linux on POWER
Linux for System x (32-bit) , Linux for System x (64-bit) Detailed system requirements for V6.1 for Linux on Intel x86 platform

Detailed system requirements for V6.1 for Linux on Intel x86-64 bit platform
Linux for System z (64-bit) Detailed system requirements for V6.1 for Linux on zSeries
Solaris Detailed system requirements for V6.1 for Solaris x86-64 platform

Detailed system requirements for V6.1 for Solaris SPARC platform
Windows Detailed system requirements for V6.1 for Windows
z/OS Detailed system requirements for V6.1 for z/OS

Broker V6

Operating System
AIX Detailed system requirements for V6.0 for AIX
HP-UX Detailed system requirements for V6.0 for HP-UX
Linux on Intel Detailed system requirements for V6.0 for Linux on Intel
Linux on POWER Detailed system requirements for V6.0 for Linux on POWER
Linux on zSeries Detailed system requirements for V6.0 for Linux on zSeries
Solaris Detailed system requirements for V6.0 for Solaris x86-64 platform

Detailed system requirements for V6.0 for Solaris SPARC platform
Windows 2003, Windows XP Professional Detailed system requirements for V6.0 for Windows
z/OS Detailed system requirements for V6.0 for z/OS

Connectivity Pack for Healthcare V8.0

Operating System
Please see more system requirements details for Connectivity Pack for Healthcare V8.0.

Connectivity Pack for Healthcare V7.0

Operating System
Please see more system requirements details for Connectivity Pack for Healthcare V7.0

Hypervisor Edition V8.0

Operating System
Please see more system requirements details for Hypervisor Edition V8.0

Hypervisor Edition V7.0

Operating System
Linux for System x (64-bit) Detailed system requirements for IBM WebSphere Message Broker Hypervisor Edition 7.0 for Linux for System x (64-bit)

File Extender

Operating System
Please see more system requirements details for File Extender

DSTX Extender

Operating System Software Hardware
AIX With Message Broker V6: IBM AIX® V5.2 (maintenance level 3) or IBM AIX V5.3 (maintenance level 2)

With Message Broker V5: IBM AIX V5.2 (maintenance level 2) or IBM AIX V5.3 (maintenance level 2)
IBM eServer pSeries®, RS/6000® processor machines
HP-UX With Message Broker V6 and V5: HP-UX 11i v1 (B.11.11) plus December 2003 QPK Hewlett-Packard HP-9000 processor machines
Solaris With Message Broker V6: Sun Solaris 9 (with the SunSolve recommended patch level)

With Message Broker V5: Sun Solaris 9 (with the SunSolve recommended patch level) or Sun Solaris 10 (with the SunSolve recommended patch level)
Sun Microsystems SPARC processor machines
Windows 2000, Windows 2003, Windows XP Professional With Message Broker V6: Microsoft® Windows® Server 2003 (Standard and Enterprise editions) or Microsoft Windows XP (with SP1) (for development and test purposes only)

With Message Broker V5: Microsoft Windows 2000 Server (with SP3), Microsoft Windows 2000 Advanced Server (with SP3), or Microsoft Windows Server 2003 (Standard and Enterprise editions)
IBM eServer xSeries® and Intel®-based systems (or equivalent), various manufacturers

TIBCO Extender - Supporting WebSphere Message Broker V6 and V7

Operating System Software Hardware
AIX With Message Broker runtime server: IBM AIX® Version 5.2 (plus maintenance level 3) or IBM AIX Version 5.3 (maintenance level 2) IBM System p™, p Series®, or RS/6000® processor machines
HP-UX HP-UX on PA-RISC: With Message Broker runtime server: HP-UX 11i v1 (B.11.11) plus December 2003 QPK

HP-UX on Itanium: With Message Broker runtime server: HP-UX 11i v2 for Integrity
HP-UX on PA-RISC: Hewlett-Packard HP-9000 processor machines with PA-RISC Processors

HP-UX on Itanium: Hewlett-Packard HP Integrity server machines
Linux Linux x86

With Message Broker runtime server: Linux Intel IA32 Red Hat Enterprise Linux AS 3.0 (plus Update 2), Kernel V2.4.21 or Linux Intel IA32 SUSE Linux Enterprise Server (SLES) 9, Kernel V2.6

With Message Broker toolkit: Mozilla V1.4.2, or later, with one of the following; Red Hat Enterprise Advanced Server V3.0 (plus Update 2) or SUSE Linux Enterprise Server (SLES) 9
Linux x86

Runtime server: IBM System x™, xSeries®, and Intel®- based systems (or equivalent) from various manufacturers

Toolkit: Any Intel Pentium® III, or above, processor-based IBM PC, or compatible, with at least 700 MHz processor speed and a minimum of 512 MB RAM
Solaris Solaris SPARC: With Message Broker V6 runtime server: Solaris 9 (plus SunSolve recommended Patch Cluster level), or later

Solaris AMD64 and EM64T: With Message Broker runtime server: Solaris 10, or later
Solaris SPARC: Sun Microsystems SPARC processor machines

Solaris AMD64 and EM64T: Sun Microsystems AMD64 and EM64T processor machines
Windows With Message Broker runtime server: Microsoft Windows XP Professional or Windows Server 2003 Standard Edition and Enterprise Edition

With Message Broker toolkit: Microsoft™ Windows XP Professional or Windows Server 2003 Standard Edition and Enterprise Edition
Runtime server: IBM System x™, xSeries®, and Intel®- based systems (or equivalent) from various manufacturers

Toolkit: Any Intel Pentium® III, or above, processor-based IBM PC, or compatible, with at least 700 MHz processor speed and a minimum of 512 MB RAM.

Rules and Formatter Extension V7.0

Note: this offering will not be made generally available via standard fulfillment mechanisms. Please contact your IBM sales representative for further details.

WebSphere Message Broker with Rules and Formatter Extension product information

Operating System
AIX Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for AIX
Linux for System x (32-bit) Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for Linux for System x (32-bit)
Linux for System x (64-bit) Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for Linux for System x (64-bit)
Solaris SPARC Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for Solaris SPARC
Windows Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for Windows
z/OS Detailed system requirements for WebSphere Message Broker with Rules and Formatter Extension 7.0 for z/OS

WebSphere Message Broker Resources

WebSphere software

Contact IBM

Considering a purchase?